// file: tr_lat_set_2.cc
//

// isip include files
//
#include "train_lattice.h"
#include "train_lattice_constants.h"

// method: set_lang_model_cc
//
// arguments:
//  char_1* lang_model_a: (input) language Train_Model used for generating Train_Lattice
//
// return: a logical_1 indicating status
//
// this method sets the name of the language Train_Model used for Train_Lattice generation
//
logical_1 Train_Lattice::set_lang_model_cc(char_1* lang_model_a) {

  // get the length of the input string
  //
  int_4 str_len = strlen((char*)lang_model_a);

  // allocate memory for the language Train_Model name
  //
  if (lang_model_d != (char_1*)NULL) {
    delete [] lang_model_d;
  }
  lang_model_d = new char_1[str_len+1];

  // copy the string
  //
  strcpy((char*)lang_model_d, (char*)lang_model_a);

  // exit gracefully
  //
  return ISIP_TRUE;
}
